﻿using System.IO.Ports;
using System.Windows.Forms;

namespace FilterScaling
{
    public partial class FormMain : Form
    {
        private SerialPort Scaler;

        public FormMain()
        {
            InitializeComponent();
        }

        private void GiftBox_KeyPress(object sender, KeyPressEventArgs e)
        {

        }

        private void FormMain_Load(object sender, System.EventArgs e)
        {
            Scaler = new SerialPort(SerialPort.GetPortNames()[0], 9600, Parity.None, 8, StopBits.One);
            Scaler.DataReceived += new SerialDataReceivedEventHandler(Scale_DataReceived);
            Scaler.Open();
        }

        private void Scale_DataReceived(object sender, SerialDataReceivedEventArgs e)
        {
            GiftBox.Text = Scaler.ReadLine();
        }
    }
}
